Subject: RE: IPP> Notifications

From: "Caruso, Angelo " <[email-masked]>
Date: Wed, 4 Feb 1998 05:30:29 PST

Paul,

Has anyone considered using SNMP traps for these kinds of asynchronous
notifications? It's light-weight and quick and designed for this sort of
thing, unlike HTTP or email. Just a thought.

Thanks,
Angelo

	-----Original Message-----
	From:	Paul Moore [SMTP:[email-masked]]
	Sent:	Tuesday, February 03, 1998 8:05 PM
	To:	'Larry Masinter'; Turner, Randy
	Cc:	[email-masked]'
	Subject:	RE: IPP> Notifications

	We need to distinguish two types of notification. (This was a
long and
	exciting debate in Maui!).

	Firstly a client should be able to request that (for exmaple)
when a print
	job is completed that a human readable notification be sent to
some URL,
	that a pager be bleeped, that a robot arm should waved over a
fire to create
	a smoke signal, whatever.

	We also agreed that if IPP were to be extended to manage the
lower level
	interface from the server/cleint to the printer then some
machine readable
	noification mechanism was needed. For example the printer is
running low on
	paper it may signal a listener somewhere, if a configuration
change takes
	place or whatever.  This notification may even be the 'job
completed'
	notification back to a server that triggers it to send the human
readable
	notification that was requested in the original print job from
the client to
	the server.

	> -----Original Message-----
	> From:	Larry Masinter [SMTP:[email-masked]]
	> Sent:	Tuesday, February 03, 1998 4:56 PM
	> To:	Turner, Randy
	> Cc:	Paul Moore; [email-masked]'
	> Subject:	Re: IPP> Notifications
	> 
	> I like the idea of the client supplying, as part of a request,
	> the URL for notifications. In email, this address could be
	> supplied by the disposition-notification-to header, as with
any
	> kind of receipt notification. For requests that get delivered
	> via IPP and POST, the address to which notifications get
posted
	> could be supplied by the client via a URL, too. Clients would
	> have to know their own address, though, and make some kind of
	> service guarantee that they're willing to listen to responses
	> at that address. In some cases, the address of notification
will
	> be different than the client address.
	> 
	> In email delivery for Internet Fax, we've also wanted to have
	> a notification protocol for "successful printing"; I'd like to
	> make sure that IPP and Internet Fax don't invent different
	> mechanisms for no good reason.
	> 
	> Larry
	> -- 
	> http://www.parc.xerox.com/masinter

---

From: Jay Martin <[email-masked]>
Date: Wed, 04 Feb 1998 22:42:13 -0500

Angelo,

> thing, unlike HTTP or email. Just a thought.

The deficiencies of the SNMP Trap mechanism represent a cornerstone
of the founding of the PWG's SENSE project.  Here's a key snippet
from the "SENSE Proposed Initial Requirements" document residing on
the PWG server (ftp://ftp.pwg.org/pub/pwg/sense/reqmts.txt):

===================
A primary motivation for developing the SENSE specification is to improve the
delivery of critical messages as compared to the SNMP TRAP model.  In
particular, the SENSE specification should improve on these difficiencies in
the SNMP TRAP mechanism:

    - No standard method for adding/removing TRAP destination addresses,
      either statically or dynamically

    - All TRAP messages are directed to a fixed UDP port number, thereby
      forcing the implementation of a demultiplexing mechanism on hosts
      where multiple recipients operate

    - Only a single copy of the TRAP message is delivered to any given
      destination address; if the message gets lost, then no recipient
      is able to determine that a TRAP message was sent
===================

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------